logging-log4cxx-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Barak Simon" <barak.si...@db.com>
Subject RE: Problem compiling on FreeBSD 5.3
Date Mon, 17 Jan 2005 04:23:50 GMT
Couldn't agree more!
The painful time I spent on Solaris side to make autogen.sh work for me 
until I found in the end that I need to ask my sysadmin to upgrade
to m4 version 1.4.2 ...

________________________
Barak Simon
GED IT Core Platform
Deutsche Bank
190 George St. Sydney, 2000
Phone +61 2 925 85070
Fax      +61 2 925 95050




keith@barkinglizards.com
16/01/2005 10:05 AM
Please respond to log4cxx-user

 
        To:     log4cxx-user@logging.apache.org
        cc: 
        Subject:        RE: Problem compiling on FreeBSD 5.3


It's not just a header problem or I wouldn't even ask.

The autogen.sh will not run on FreeBSD. And in fact shouldn't even have to 
run. The configure script should already be generated when the tar.gz was 
packaged so that all anyone has to do is run configure then make and so 
on... The autogen.sh shell script is there to generate this configure, 
which is backward. The whole point of using configure is to bypass 
difficulties in compiling the same source on different systems. Having to 
run autogen.sh as the first step pretty much goes back to the core issues 
of why configure was developed in the first place.

Now onto why FreeBSD has an issue, which specifically has to do with the 
autoconf, automake, aclocal, etc. that exist in the autogen.sh. FreeBSD 
has multiple versions of these installed for various reasons so there is 
no single link which means that the autogen.sh script has to be edited 
manually but then which version should be used?

The real solution is to get rid of the autogen.sh shell script and post a 
tar.gz with a configure that does what it is suppose to do, which is deal 
with platform differences. I some what belive that there was an error 
packaging the 0.9.7 version and that in fact they meant to generate a 
tar.gz with the configure already generated by the projects maintainers 
but that something was missed.

Anyone have an opinion, flaming aside.


Keith

-----Original Message-----
From: Sun Xiaoguang [mailto:x_explorer@hotmail.com]
Sent: Saturday, January 15, 2005 10:54 AM
To: log4cxx-user@logging.apache.org
Subject: RE: Problem compiling on FreeBSD 5.3

You can modified the source code to solve it. It's only a header file's 
problem.

>From: "Keith Bottner" <keith@barkinglizards.com>
>Reply-To: "Log4CXX User" <log4cxx-user@logging.apache.org>
>To: "Log4CXX User" <log4cxx-user@logging.apache.org>
>Subject: Problem compiling on FreeBSD 5.3
>Date: Fri, 14 Jan 2005 17:42:49 -0600
>
>Is anyone out there using FreeBSD with log4cxx?
>
>I downloaded the tar and am unable to get log4cxx to compile. I think
>it
has
>less to do with log4cxx and more to do with FreeBSD. We are moving from
>linux to FreeBSD and I wanted to see if anybody who is using log4cxx
>has already wrestled with this problem so that maybe I can save some 
time.
>
>Thanks in advance,
>
>Keith
>
>
>
>
>--
>No virus found in this outgoing message.
>Checked by AVG Anti-Virus.
>Version: 7.0.300 / Virus Database: 265.6.11 - Release Date: 1/12/2005
>

_________________________________________________________________
与联机的朋友进行交流,请使用 MSN Messenger:  http://messenger.msn.com/cn





Mime
View raw message